org.apache.lucene.analysis.ja.util

## Class DictionaryBuilder

- java.lang.Object
- - org.apache.lucene.analysis.ja.util.DictionaryBuilder

-     public class DictionaryBuilder
      extends Object

  Tool to build dictionaries. Usage:

          java -cp [lucene classpath] org.apache.lucene.analysis.ja.util.DictionaryBuilder \
                ${inputDir} ${outputDir} ${encoding}

  The input directory is expected to include unk.def, matrix.def, plus any number of .csv files, roughly following the conventions of IPADIC. JapaneseTokenizer uses dictionaries built with this tool. Note that the input files required by this build generally must be generated from a corpus of real text using tools that are not part of Lucene.

  WARNING: This API is experimental and might change in incompatible ways in the next release.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `DictionaryBuilder.DictionaryFormat` Format of the dictionary.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `build(DictionaryBuilder.DictionaryFormat format, Path inputDir, Path outputDir, String encoding, boolean normalizeEntry)`
    `static void` | `main(String[] args)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### build

          public static void build(DictionaryBuilder.DictionaryFormat format,
                                   Path inputDir,
                                   Path outputDir,
                                   String encoding,
                                   boolean normalizeEntry)
                            throws IOException

      Throws:
        `IOException`

    - #### main

          public static void main(String[] args)
                           throws IOException

      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.